# $Revision: 1.38 $, $Date: 2004/09/29 11:52:47 $
# 
# Conditional build
%bcond_without	deutsch	# without support for Polish<->German dictionaries
#
Summary:	Fronted to Collins Dictionary
Summary(pl):	Interfejs do sownika Collinsa
Name:		ydpdict
Version:	0.63
Release:	6
License:	GPL
Group:		Applications/Dictionaries
Source0:	http://toxygen.net/ydpdict/%{name}-%{version}.tar.gz
# Source0-md5:	bd20edfa221ecb5f04ce6a36b1b15179
Source1:	%{name}-pl-en.desktop
Source2:	%{name}-en-pl.desktop
Source3:	%{name}.png
Patch0:		%{name}-no_local.patch
Patch1:		%{name}-deutsch.patch
URL:		http://toxygen.net/ydpdict/
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fronted to Collins Dictionary.

%description -l pl
Program ten pozwala przeglda sownik Collinsa, wydany przez Young
Digital Poland. Dostpne s sowniki: angielsko-polski,
polsko-angielski, niemiecko-polski oraz polsko-niemiecki.

%prep
%setup -q
%patch0 -p1
%{?with_deutsch:%patch1 -p1}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/{,pl/}man1} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_datadir}/%{name}}

install src/ydpdict $RPM_BUILD_ROOT%{_bindir}
ln -sf ydpdict $RPM_BUILD_ROOT%{_bindir}/ydp
install ydpdict.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/ydpdict.conf
install ydpdict.pl.man $RPM_BUILD_ROOT%{_mandir}/pl/man1/ydpdict.1
install ydpdict.man $RPM_BUILD_ROOT%{_mandir}/man1/ydpdict.1

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%config %verify(not md5 size mtime) %{_sysconfdir}/ydpdict.conf
%{_desktopdir}/*
%{_pixmapsdir}/*
%dir %{_datadir}/ydpdict
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ydpdict.spec,v $
Revision 1.38  2004/09/29 11:52:47  kolodko
- moved deutsch.patch to SOURCES with fixed probelm with sound
- revert bcond deutsch
- rel 6

Revision 1.37  2004/09/28 18:42:38  adamg
- apply contrib/Deutsch.diff bconditionally

Revision 1.36  2004/09/27 22:38:42  kolodko
- removed contrib/Deutsch.diff patch, it's not works (segmentation fault)
  and break down sounds
- rel 5

Revision 1.35  2004/09/11 12:52:43  ankry
- OOPS

Revision 1.34  2004/09/11 12:35:43  ankry
- added man pages, rel. 4

Revision 1.33  2004/09/04 18:45:27  adamg
- apply contrib/Deutsch.diff patch (adds support for polish<->german dict)
- release 3

Revision 1.32  2004/07/29 20:31:26  kali
- desktop fix, rel. 2

Revision 1.31  2004/06/01 20:07:09  adamg
- updated to 0.63

Revision 1.30  2003/12/10 18:17:57  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.29  2003/11/23 12:33:24  jareq
- updated to 0.62
- added URL
- updated source URL

Revision 1.28  2003/10/11 20:24:40  grzegol
- updated to 0.61

Revision 1.27  2003/09/09 09:59:57  grzegol
- updated to 0.60

Revision 1.26  2003/07/24 13:02:28  adamg
- updated to 0.59, changed source0 url

Revision 1.25  2003/06/01 16:32:53  undefine
- update to 0.58

Revision 1.24  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/26 22:20:22  grzegol
- updated to 0.57

Revision 1.21  2003/03/30 11:12:46  grzegol
- updated to 0.56

Revision 1.20  2003/03/15 23:21:59  gotar
- upgraded to 0.55

Revision 1.19  2003/01/28 13:23:44  grzegol
- updated to 0.54

Revision 1.18  2003/01/17 22:39:44  gotar
- upgraded to 0.53

Revision 1.17  2002/11/09 02:15:21  ankry
- release 4

Revision 1.16  2002/11/09 02:08:37  ankry
- kill /usr/local dir in default config (-no_local patch), modified desktops

Revision 1.15  2002/09/13 11:09:35  jareq
- desktop moved to Scientific
- release 3
- STBR

Revision 1.14  2002/09/10 11:37:43  gotar
- changed group to Application/Dictionaries,
- release 2.

Revision 1.13  2002/05/27 21:09:28  grzegol
- updated to 0.52
- removed outdated patches
STBR

Revision 1.12  2002/05/26 20:50:22  grzegol
- bump rel. to 4
STBR /test

Revision 1.11  2002/05/25 20:37:02  kloczek
- simplifications.

Revision 1.10  2002/05/25 19:27:32  grzegol
- added change_dict patch (it allows to change dictionary without exiting)
- fixed term patch (now it compiles without waarnings)
- it works for me, but need test

Revision 1.9  2002/05/25 17:59:11  grzegol
- added segv.patch (fixes one segv)
- added desktop files (for pl-en and en-pl dictionaries)
- added icon
- added link in %%{_bindir} (ydp -> ydpdict)
- rel 3
STBR

Revision 1.8  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/19 20:20:03  gotar
- fixed (Build)Requires,
- fixed %description,
- release 2, STBR.

Revision 1.6  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.5  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/08/23 17:33:12  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.3  2000/12/06 03:28:07  agaran
Fixed $Log
